Bug 461115 - Unable to use X on remote host [NEEDINFO]
Unable to use X on remote host
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
9
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
: 449282 450510 454162 455159 455982 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-04 06:36 EDT by Jens Salomon
Modified: 2009-07-14 10:11 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:11:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jmoskovc: needinfo? (jenssalomon)


Attachments (Terms of Use)

  None (edit)
Description Jens Salomon 2008-09-04 06:36:33 EDT
Component: system-config-network
Version: 1.5.7
Summary: TB57735b68 connection.py:607:call_blocking:DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Hal was not provided by any .service files

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 281, in <module>
    loadConfig(screen)
  File "/usr/sbin/system-config-network-tui", line 137, in loadConfig
    hardwarelist = getHardwareList()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 759, in getHardwareList
    __HWList.load()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 603, in load
    self.updateFromSystem()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 483, in updateFromSystem
    self.updateFromHal(hdellist)
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 447, in updateFromHal
    hal = NCBackendHal.NCBackendHal()
  File "/usr/share/system-config-network/netconfpkg/NCBackendHal.py", line 31, in __init__
    self.halManagerObj = self._dbusBus.get_object("org.freedesktop.Hal", "/org/freedesktop/Hal/Manager")
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 244, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 241, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 183, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 281, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 607, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Hal was not provided by any .service files

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x2246050>
args: ('org.freedesktop.Hal', 0)
utf8_strings: False
bus_name: org.freedesktop.DBus
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
object_path: /org/freedesktop/DBus
timeout: -1.0
signature: su
dbus_interface: org.freedesktop.DBus
message: <dbus.lowlevel.MethodCallMessage object at 0x7f490568b1b0>
method: StartServiceByName
Comment 1 Jiri Moskovcak 2008-11-28 09:15:29 EST
It seems like haldaemon is not running on that machine. Does this problem still persist?
Comment 2 Jiri Moskovcak 2008-11-28 09:27:08 EST
*** Bug 455982 has been marked as a duplicate of this bug. ***
Comment 3 Jiri Moskovcak 2008-11-28 09:28:33 EST
*** Bug 455159 has been marked as a duplicate of this bug. ***
Comment 4 Jiri Moskovcak 2008-11-28 09:37:08 EST
*** Bug 454162 has been marked as a duplicate of this bug. ***
Comment 5 Jiri Moskovcak 2008-11-28 10:34:37 EST
*** Bug 450510 has been marked as a duplicate of this bug. ***
Comment 6 Jiri Moskovcak 2008-11-28 10:46:47 EST
*** Bug 449282 has been marked as a duplicate of this bug. ***
Comment 7 Bug Zapper 2009-06-09 22:37:31 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 10:11:05 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.